Skip to main content
POST
Public Create Sector
This endpoint creates a sector associated with an organization. It accepts the SectorRequestCreateSchema as the request body and returns PublicApiSectorBaseResponse on success.

Overview

  • Method: POST
  • Path: /v0/sector/
  • OperationId: public_create_sector_v0_sector__post
  • Authentication: header x-api-key (APIKeyHeader in the OpenAPI)

Example Request

Authorizations

x-api-key
string
header
required

Body

application/json
name
string
required
description
string
required
organization_id
string<uuid>
required
hr_code
string | null
client_integration_code
string | null

Response

Successful Response

id
string<uuid>
required
organization_id
string<uuid>
required
name
string
required
is_active
boolean
required
description
string
required
address
string | null
address_number
string | null
address_detail
string | null
zip_code
string | null
neighborhood
string | null
state
string | null
city
string | null
hr_code
string | null
client_integration_code
string | null